For the complete documentation index, see llms.txt. This page is also available as Markdown.

Billing Agreement

Get agreement details

get
/billingAgreement/{agreementId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agreementIdstringRequired

PayPal billing agreement id

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
get
/billingAgreement/{agreementId}

Show token details

get
/billingAgreement/token/{tokenId}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tokenIdstringRequired

The ID of the agreement token for which to show details.

Query parameters
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
get
/billingAgreement/token/{tokenId}

Create billing agreement using token

post
/billingAgreement/create
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
x-vfi-api-idempotencyKeystringOptional

A value you specify that uniquely identifies the transaction. If you're unsure whether a particular transaction succeeded, you can reattempt it with the same idempotency key without worrying about duplicating the transaction.

Body
billingTokenstringRequired

PayPal agreement token

paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
post
/billingAgreement/create

Initiate billing agreement

post
/billingAgreement/initiate
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

descriptionstringOptional

Agreement description

enableAddressChangebooleanOptional

Indicates whether to show the shipping address but prevent the customer from editing it.

collectShippingAddressbooleanOptional

Indicates whether to skip the collection of the shipping address from the customer during the agreement sign-up phase.

allowedCountriesstring[]Optional

An array of legally accepted customer country codes

experienceIdstringOptional

The ID of the experience profile to apply during the agreement approval UI flow.

externalSelectedFundingInstrumentTypestring · enumOptional

The type of financial instrument (FI) that the merchant wants to promote.

Possible values:
returnUrlstringOptional

The URL where the customer is redirected after the customer approves the payment

cancelUrlstringOptional

The URL where the customer is redirected after the customer cancels the payment

Responses
post
/billingAgreement/initiate

Cancel agreement details

post
/billingAgreement/{agreementId}/cancel
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
agreementIdstringRequired

PayPal billing agreement id

Body
paymentProviderContractstringRequired

PayPal Payment Provider Contract UUID

Responses
post
/billingAgreement/{agreementId}/cancel

Last updated

Was this helpful?